v1.0
get
/ec-codelist-svc/rest/v1.0/history/codevalues
View historical changes to codelists for a given name and (optionally) study.
Request
Query Parameters
-
codeId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the codeExample:
B1B8327AFAA6412287106192AB5984EF -
language: string
Language for expected response codelist. This overrides user preference for language. This field is case sensitive and accepts values like en, ja etc. By default it's english (en)Example:
en -
limit(required): integer(int32)
Minimum Value:
1limit.Example:50 -
offset(required): integer(int32)
Minimum Value:
0offset.Example:0 -
studyId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : CodeValueV4
Type:
Show Source
object-
code: string
-
codeGroupId: string
(uuid)
-
codeId: string
(uuid)
-
codeLabel: string
-
codeValue: string
-
comment: string
-
customizationType: string
- hidden: boolean
-
id: string
(uuid)
-
language: string
-
locale: string
-
loinc: string
-
objectVersionNumber: number
-
operationType: string
-
optLock: string
(date-time)
-
reason: string
-
sequence: number
-
softwareVersionNumber: number
-
studyId: string
(uuid)
-
userId: string
(uuid)
-
versionEnd: string
(date-time)
-
versionStart: string
(date-time)
Examples